# Generated from gitloc-justinholzmann-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gitloc-justinholzmann

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Example project -- gives lines-of-code information for a git repo
License: MIT
URL: https://github.com/JoshCheek/elective-building-a-gem
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
Example project for the Turing School of Software and Design, see
https://github.com/JoshCheek/elective-building-a-gem -- gives lines-of-code
information for a git repo.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/gitloc
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/Readme.md
%{gem_instdir}/gitloc.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.0-1
- Initial package
